-- cb-splitter=Conducting Splitter
-- cb-fast-splitter=Conducting Fast Splitter
-- cb-express-splitter=Conducting Express Splitter


-- cb-transport-belt=Conducting Transport Belt
-- cb-fast-transport-belt=Conducting Fast Transport Belt
-- cb-express-transport-belt=Conducting Express Transport Belt


data:extend({
  {
    type = "technology",
    name = "conducting-belt-1",
    icon_size = 128,
    icon = "__ConductingBelt__/graphics/technology.png",
    effects =
    {
      {type = "unlock-recipe", recipe = "cb-transport-belt"},
      {type = "unlock-recipe", recipe = "cb-splitter"}
    },
    prerequisites = {"logistics"},
    unit =
    {
      count = 50,
      ingredients = {{"science-pack-1", 1}},
      time = 5
    },
    order = "c-a-a"
  },
  
  {
    type = "technology",
    name = "conducting-belt-2",
    -- upgrade = true,
    icon_size = 128,
    icon = "__ConductingBelt__/graphics/technology.png",
    effects =
    {
      {type = "unlock-recipe", recipe = "cb-fast-splitter"},
      {type = "unlock-recipe", recipe = "cb-fast-transport-belt"}
    },
    prerequisites = {"logistics-2", "conducting-belt-1"},
    unit =
    {
      count = 75,
      ingredients = 
        {
          {"science-pack-1", 1},
          {"science-pack-2", 1}
        },
      time = 30
    },
    order = "c-a-b"
  },
  
  {
    type = "technology",
    name = "conducting-belt-3",
    -- upgrade = true,
    icon_size = 128,
    icon = "__ConductingBelt__/graphics/technology.png",
    effects =
    {
      {type = "unlock-recipe", recipe = "cb-express-transport-belt"},
      {type = "unlock-recipe", recipe = "cb-express-splitter"}
    },
    prerequisites = {"logistics-3", "conducting-belt-2"},
    unit =
    {
      count = 250,
      ingredients = 
        {
          {"science-pack-1", 1},
          {"science-pack-2", 1},
          {"science-pack-3", 1},
          {"production-science-pack", 1},
        },
      time = 30
    },
    order = "c-a-c"
  }
  
  
})
